Page MenuHomePhabricator

Wikibase should not use obsolete "valign" attribute on diffs
Closed, ResolvedPublic

Description

When undoing an edit, it shows a diff whose HTML source contains this obsolete attribute. It comes from
https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/e633a3ac71f1fbd98dd3c44b105b9938b8602afd/repo/includes/Actions/EditEntityAction.php#L484

		$this->getOutput()->addHTML( Html::openElement( 'tr', array( 'valign' => 'top' ) ) );

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterReplace css valign with vertical-align

Event Timeline

He7d3r created this task.May 1 2016, 12:42 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 1 2016, 12:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ricordisamoa renamed this task from Wikidata should not use obsolete "valign" attribute on diffs to Wikibase should not use obsolete "valign" attribute on diffs .May 1 2016, 3:23 PM
Ricordisamoa added a subscriber: Ricordisamoa.
Danny_B added a subscriber: Danny_B.

Use appropriate class instead.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 1 2016, 8:16 PM
Lydia_Pintscher triaged this task as Low priority.May 19 2016, 12:53 PM

Change 316287 had a related patch set (by Paladox) published:
Replace css valign with vertical-align

https://gerrit.wikimedia.org/r/316287

thiemowmde closed this task as Resolved.Oct 17 2016, 9:33 AM
thiemowmde assigned this task to Paladox.
thiemowmde moved this task from ready to go to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Done on the Wikidata-Sprint-2016-10-12 board.
thiemowmde added a subscriber: thiemowmde.

Change 316287 merged by jenkins-bot:
Replace css valign with vertical-align

https://gerrit.wikimedia.org/r/316287